% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/DiffAnalysis.R
\name{diffAnaGetSignificant}
\alias{diffAnaGetSignificant}
\title{Returns a MSnSet object with only proteins significant after 
differential analysis.}
\usage{
diffAnaGetSignificant(obj)
}
\arguments{
\item{obj}{An object of class \code{MSnSet}.}
}
\value{
A MSnSet
}
\description{
Returns a MSnSet object with only proteins significant after 
differential analysis.
}
\examples{
require(DAPARdata)
data(Exp1_R25_pept)
condition1 <- "25fmol"
condition2 <- "10fmol"
resLimma <- wrapper.diffAnaLimma(Exp1_R25_pept[1:1000], 
condition1, condition2)
obj <-diffAnaSave(Exp1_R25_pept[1:1000], resLimma, "limma", 
condition1, condition2)
signif <- diffAnaGetSignificant(obj)
}
\author{
Alexia Dorffer
}
