% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/normalize.R
\name{wrapper.normalizeD}
\alias{wrapper.normalizeD}
\title{Normalization}
\usage{
wrapper.normalizeD(obj, family, method)
}
\arguments{
\item{obj}{An object of class \code{MSnSet}.}

\item{family}{One of the following : Global Alignment, 
Median Centering, Mean Centering, Mean Centering Scaling.}

\item{method}{"overall" or "within conditions".}
}
\value{
An instance of class \code{MSnSet} 
where the quantitative data in the \code{exprs()} tab
has been normalized.
}
\description{
Provides several methods to normalize quantitative data from
a \code{MSnSet} object.
They are organized in four main families : Global Alignment, 
Median Centering, Mean Centering, Mean Centering Scaling.
For the first family, two sub-categories are available : the sum by columns
and the quantiles method.
For the three other families, two categories are available : 
"Overall" which means that the value for each protein 
(ie line in the expression data tab) is computed over all the samples ;
"within conditions" which means that the value for each protein 
(ie line in the \code{exprs()} data tab) is computed condition
by condition.
}
\examples{
require(DAPARdata)
data(Exp1_R25_pept)
wrapper.normalizeD(Exp1_R25_pept[1:1000], "Median Centering", "within conditions")
}
\author{
Alexia Dorffer
}
